# Class JSOFA.PrecessionNutation

java.lang.Object
org.jastronomy.jsofa.JSOFA.PrecessionNutation

Enclosing class:
  `JSOFA`

public static class JSOFA.PrecessionNutation extends Object
Precession-nutation model.

Since:
  AIDA Stage 1
Version:
  JSOFA Release 20180130
Author:
  Paul Harrison (paul.harrison@manchester.ac.uk) 4 Feb 2010

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`epsa`
mean obliquity
`JSOFA.NutationTerms`
`nut`
`double[][]`
`rb`
frame bias matrix
`double[][]`
`rbp`
bias-precession matrix
`double[][]`
`rbpn`
GCRS-to-true matrix
`double[][]`
`rn`
nutation matrix
`double[][]`
`rp`
precession matrix

## Constructor Summary

Constructors
Constructor
Description
`PrecessionNutation(double dpsi, double deps, double epsa, double[][] rb, double[][] rp, double[][] rbp, double[][] rn, double[][] rbpn)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### nut

public JSOFA.NutationTerms nut

### epsa

public double epsa
mean obliquity

### rb

public double[][] rb
frame bias matrix

### rp

public double[][] rp
precession matrix

### rbp

public double[][] rbp
bias-precession matrix

### rn

public double[][] rn
nutation matrix

### rbpn

public double[][] rbpn
GCRS-to-true matrix

## Constructor Details

### PrecessionNutation

public PrecessionNutation(double dpsi, double deps, double epsa, double[][] rb, double[][] rp, double[][] rbp, double[][] rn, double[][] rbpn)